
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT proxy
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
Name:          kata-proxy
Version:       1.7.3
Release:       1.0.5%{?dist}
#   0.20190703.gitbd202a8
Vendor:        Oracle America
Summary:       Host-side communication with Kata containers
Group:         Development/Tools
Url:           https://github.com/kata-containers/proxy
License:       Apache-2.0

Source0:       %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig(systemd)
BuildRequires: git
BuildRequires: golang >= 1.13.15

%description
This component of Kata containers implements host-side communication (I/O streams) with processes within containers through virtio serial interface exported by QEMU.

%global debug_package %{nil}
%define _unpackaged_files_terminate_build 0

%prep
%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%clean
rm -rf %{buildroot}

%install
make install \
	DESTDIR=%{buildroot}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-proxy

%changelog
* Fri Aug 14 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.5
- Address CVE-2020-16845

* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.7.3-1.0.4
- Golang CVE-2019-16276

* Mon Oct 14 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 1.7.3-1.0.3
- added THIRD_PARTY_LICENSES.txt file

* Mon Aug 19 2019 Michael Calunod  <michael.calunod@oracle.com> - 1.7.3-1.0.2
- moved to semantic versioning for Release and added Url

* Sun Jul 07 2019 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.7.3-1
- Added Oracle Specific Build Files for kata-proxy
